[Résolu ] Impossible d'installer numpy pour Python 3


#1

Bonsoir à tous !

Je galère pour installer Python 3 sur ma Pi (stretch avec les dernières MAJ). J’ai résinstallé Python (3.5.3), mais malgré tout je n’arrive pas à installer numpy.
Lorsque je fais :
sudo pip3 install python3-numpy
J’obtiens l’erreur :
Could not find a version that satisfies the requirement python3-numpy (from versions: )
No matching distribution found for python3-numpy

J’ai essayé d’autres variantes de commande… sans plus de succès.
Quelqu’un aurait-il une idée ?
Merci d’avance pour votre aide !
Bonne soirée

Gérald


#2

Bonjour,

Le paquet python3-numpy est un package debian et non python.
La procédure d’installation de ce paquet est donc

$ sudo apt-get install python3-numpy

A+


#3

Merci Jelopo pour ta réponse… c’est bien l’une des tentatives de commande que j’ai faite. Raspbian m’indique que tout est déjà installé et que rien n’a été modifié. Par contre : toujours impossible de tracer un graphique. J’ai entré le test suivant :

-- coding: utf-8 --

import matplotlib.pyplot as plt

plt.plot([1,2,3,4])
plt.ylabel(‘Label 1’)
plt.show()

et j’obtient :
================= RESTART: /home/pi/Documents/test-graph.py =================
Traceback (most recent call last):
File “/usr/local/lib/python3.5/dist-packages/numpy/core/init.py”, line 16, in
from . import multiarray
ImportError: libf77blas.so.3: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/pi/Documents/test-graph.py”, line 3, in
import matplotlib.pyplot as plt
File “/usr/local/lib/python3.5/dist-packages/matplotlib/init.py”, line 141, in
from . import cbook, rcsetup
File “/usr/local/lib/python3.5/dist-packages/matplotlib/cbook/init.py”, line 33, in
import numpy as np
File “/usr/local/lib/python3.5/dist-packages/numpy/init.py”, line 142, in
from . import add_newdocs
File “/usr/local/lib/python3.5/dist-packages/numpy/add_newdocs.py”, line 13, in
from numpy.lib import add_newdoc
File “/usr/local/lib/python3.5/dist-packages/numpy/lib/init.py”, line 8, in
from .type_check import *
File “/usr/local/lib/python3.5/dist-packages/numpy/lib/type_check.py”, line 11, in
import numpy.core.numeric as _nx
File “/usr/local/lib/python3.5/dist-packages/numpy/core/init.py”, line 26, in
raise ImportError(msg)
ImportError:
Importing the multiarray numpy extension module failed. Most
likely you are trying to import a failed build of numpy.
If you’re working with a numpy git repo, try git clean -xdf (removes all
files not under version control). Otherwise reinstall numpy.

Original error was: libf77blas.so.3: cannot open shared object file: No such file or directory

Et là… je suis perduuuuuu ! :confounded::confounded::grimacing:

Merci d’avance pour votre aide !


#4

Bonjour,

Sans savoir pourquoi, je constate que sur le net ils disent d’installer ceci

sudo apt-get install libatlas-base-dev

A+


#5

Yesssss!!!

Cette fois ça fonctionne ! MERCI beaucoup Jelopo… ça faisait un moment que je galérais pour faire fonctionner cette %&" de librairie graphique ! Je vais tout de suite sauvegarder une image du système ! Merci encore pour le coup de main !


#6

Super. Merci Internet.

Peux-tu passer le titre du topic en [Résolu] ?

A+